(in-package #:asdf-user)

(defsystem :scopes-core
  :author "cyberconcepts.org Team <team@cyberconcepts.org>"
  :license "MIT"
  :version "0.0.1"
  :homepage "https://www.cyberconcepts.org"
  :description "Core packages of the scopes project."
  :depends-on (:alexandria :com.inuoe.jzon :local-time :log4cl :str)
  :components ((:file "config")
               (:file "forge/forge")
               (:file "testing")
               (:file "test/test-config" :depends-on ("testing" "config"))
               (:file "test/test-forge" :depends-on ("testing" "forge/forge")))
  :long-description "scopes/core: The core packages of the scopes project."
  :in-order-to ((test-op (test-op "scopes-core/test"))))

(defsystem :scopes-core/test
  :depends-on (:scopes-core)
  :components ((:file "test/test-config")
               (:file "test/test-forge"))
  :perform (test-op (o c) 
    (symbol-call :scopes/test-config :run)
    (symbol-call :scopes/test-forge :run)))
